Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.core.sqlnode
Class SqlCoalesce

    java.lang.Object
      com.hp.hpl.jena.sdb.core.AnnotationsBase
          com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase
              com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase1
                  com.hp.hpl.jena.sdb.core.sqlnode.SqlCoalesce

All Implemented Interfaces:
  Annotations, SqlNode, org.openjena.atlas.io.Printable

    public class SqlCoalesce

extends SqlNodeBase1

Method Summary
`SqlNode` | `apply(SqlTransform transform, SqlNode newSubNode)`
`SqlCoalesce` | `asCoalesce()`
`SqlNode` | `copy(SqlNode subNode)`
`static SqlCoalesce` | `create(SDBRequest request, String alias, SqlJoin join, Set<com.hp.hpl.jena.sparql.core.Var> coalesceVars)`
`Set<com.hp.hpl.jena.sparql.core.Var>` | `getCoalesceVars()`
`Scope` | `getIdScope()`
`SqlJoin` | `getJoinNode()`
`Scope` | `getNodeScope()`
`Set<com.hp.hpl.jena.sparql.core.Var>` | `getNonCoalesceVars()`
`boolean` | `isCoalesce()`
`void` | `visit(SqlNodeVisitor visitor)`

Methods inherited from class com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase1
`getSubNode`

Methods inherited from class com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase
`asDistinct, asInnerJoin, asJoin, asLeftJoin, asProject, asRestrict, asSelectBlock, asTable, getAliasName, isDistinct, isInnerJoin, isJoin, isLeftJoin, isProject, isRestrict, isSelectBlock, isTable, output, output, tablesInvolved, toString, usesColumn`

Methods inherited from class com.hp.hpl.jena.sdb.core.AnnotationsBase
`addNote, addNotes, getNotes, hasNotes, hasOneNote`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.sdb.core.Annotations
`addNote, addNotes, getNotes, hasNotes, hasOneNote`

Method Detail

### create

    public static SqlCoalesce create(SDBRequest request,
                                     String alias,
                                     SqlJoin join,
                                     Set<com.hp.hpl.jena.sparql.core.Var> coalesceVars)

### getCoalesceVars

    public Set<com.hp.hpl.jena.sparql.core.Var> getCoalesceVars()

### getNonCoalesceVars

    public Set<com.hp.hpl.jena.sparql.core.Var> getNonCoalesceVars()

### isCoalesce

    public boolean isCoalesce()

  Specified by:
    `isCoalesce` in interface `SqlNode`
  Overrides:
    `isCoalesce` in class `SqlNodeBase`

### asCoalesce

    public SqlCoalesce asCoalesce()

  Specified by:
    `asCoalesce` in interface `SqlNode`
  Overrides:
    `asCoalesce` in class `SqlNodeBase`

### getIdScope

    public Scope getIdScope()

  Specified by:
    `getIdScope` in interface `SqlNode`
  Overrides:
    `getIdScope` in class `SqlNodeBase1`

### getNodeScope

    public Scope getNodeScope()

  Specified by:
    `getNodeScope` in interface `SqlNode`
  Overrides:
    `getNodeScope` in class `SqlNodeBase1`

### getJoinNode

    public SqlJoin getJoinNode()

### visit

    public void visit(SqlNodeVisitor visitor)

### apply

    public SqlNode apply(SqlTransform transform,
                         SqlNode newSubNode)

  Specified by:
    `apply` in class `SqlNodeBase1`

### copy

    public SqlNode copy(SqlNode subNode)

  Specified by:
    `copy` in class `SqlNodeBase1`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.